com.ibm.openpages.api.rule

## Enum TBRuleDefinitionType

- java.lang.Object
- - java.lang.Enum<TBRuleDefinitionType>
  - - com.ibm.openpages.api.rule.TBRuleDefinitionType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TBRuleDefinitionType>

      public enum TBRuleDefinitionType
      extends java.lang.Enum<TBRuleDefinitionType>

  Represents the type of rule definition.
  Since:
    8.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `calculation` Represents the type that the field values are set by the calculations automatically on update
    `create` Represents the type that the rule is started during the object creation
    `manualCalculation` Represents the type that the field values are set by calculations triggered by user action
    `standard` Represents the type that the rule is started by a user operation or API call on {@ IRuleService#startRule(com.ibm.openpages.api.metadata.Id, com.ibm.openpages.api.metadata.Id)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `static TBRuleDefinitionType` | `getValue(int id)`
    `static TBRuleDefinitionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TBRuleDefinitionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### create

          public static final TBRuleDefinitionType create

      Represents the type that the rule is started during the object creation

    - #### standard

          public static final TBRuleDefinitionType standard

      Represents the type that the rule is started by a user operation or API call on {@ IRuleService#startRule(com.ibm.openpages.api.metadata.Id, com.ibm.openpages.api.metadata.Id)

    - #### calculation

          public static final TBRuleDefinitionType calculation

      Represents the type that the field values are set by the calculations automatically on update
      Since:
        8.2

    - #### manualCalculation

          public static final TBRuleDefinitionType manualCalculation

      Represents the type that the field values are set by calculations triggered by user action

  - ### Method Detail

    - #### values

          public static TBRuleDefinitionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TBRuleDefinitionType c : TBRuleDefinitionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TBRuleDefinitionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getId

          public int getId()

    - #### getValue

          public static TBRuleDefinitionType getValue(int id)

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.